Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027445
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2014-08-23 17:492015-06-04 11:00
ReportershuehnerView Statuspublic 
Assigned ToNaroaIriarte 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revision4e1811fb5889
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027445: pl-function ad_table_import has datatype mismatch

Descriptionthat function is assigning numbers to varchar variables (uuid 's)

142 v_AD_Reference_ID:=13;
146 v_AD_Reference_ID:=19;

Not line numbers as shown with i.e. \sf+ ad_table_import

Note: only those two lines rest of the functios seems fine so maybe leftover
Steps To Reproducereview function body
Proposed Solutionchanges lines to assign '13' or '19'
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0077982)
hgbot (developer)
2015-06-02 14:35

Repository: erp/devel/pi
Changeset: 4e1811fb5889126ea705ff2c47569811558fd8fe
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Tue Jun 02 14:18:15 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4e1811fb5889126ea705ff2c47569811558fd8fe [^]

Fixed issue 27445:ad_table_import function has two lines with wrong datatype.

In the AD_TABLE_IMPORT.xml, there were two values assigned with wrong type of data.
These were integer and should be varchar.

To fix this, those two values have been changed to varchar.
To test this after the change, a new table has been created, and the "Create Columns from DB"
process has been executed. It works correctly.

---
M src-db/database/model/functions/AD_TABLE_IMPORT.xml
---
(0077983)
hgbot (developer)
2015-06-02 14:39

Repository: erp/devel/pi
Changeset: de9cee4838436cd13e7cb0fa48e18ee8308931e4
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Tue Jun 02 14:38:36 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/de9cee4838436cd13e7cb0fa48e18ee8308931e4 [^]

Related with issue 27445: Update the copyright year

The year of the copyright has been updated.

---
M src-db/database/model/functions/AD_TABLE_IMPORT.xml
---
(0078035)
hudsonbot (developer)
2015-06-03 18:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/084e25f8f2cd [^]
Maturity status: Test
(0078036)
hudsonbot (developer)
2015-06-03 18:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/084e25f8f2cd [^]
Maturity status: Test
(0078052)
alostale (developer)
2015-06-04 11:00

code reviewed + tested importing table (both references are used)

- Issue History
Date Modified Username Field Change
2014-08-23 17:49 shuehner New Issue
2014-08-23 17:49 shuehner Assigned To => AugustoMauch
2014-08-23 17:49 shuehner Modules => Core
2014-08-23 17:49 shuehner Triggers an Emergency Pack => No
2015-03-11 11:22 alostale Status new => acknowledged
2015-03-17 14:38 alostale Assigned To AugustoMauch => platform
2015-06-02 12:02 alostale Assigned To platform => NaroaIriarte
2015-06-02 12:02 alostale Status acknowledged => scheduled
2015-06-02 12:02 alostale Target Version => 3.0PR15Q3
2015-06-02 14:35 hgbot Checkin
2015-06-02 14:35 hgbot Note Added: 0077982
2015-06-02 14:35 hgbot Status scheduled => resolved
2015-06-02 14:35 hgbot Resolution open => fixed
2015-06-02 14:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4e1811fb5889126ea705ff2c47569811558fd8fe [^]
2015-06-02 14:35 NaroaIriarte Issue Monitored: alostale
2015-06-02 14:35 NaroaIriarte Review Assigned To => alostale
2015-06-02 14:39 hgbot Checkin
2015-06-02 14:39 hgbot Note Added: 0077983
2015-06-03 18:55 hudsonbot Checkin
2015-06-03 18:55 hudsonbot Note Added: 0078035
2015-06-03 18:55 hudsonbot Checkin
2015-06-03 18:55 hudsonbot Note Added: 0078036
2015-06-04 11:00 alostale Note Added: 0078052
2015-06-04 11:00 alostale Status resolved => closed
2015-06-04 11:00 alostale Fixed in Version => 3.0PR15Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker